// CategoryInfoEditorDlg.h : header file
//
#if !defined(_CATEGORYINFOEDITORDLG_H_)
#define _CATEGORYINFOEDITORDLG_H_

#include "resource.h"
#include "CfgEdit.h"

class CXmlGuiCategoryInfo;
class CXmlGuiCategoryInfoList;

/////////////////////////////////////////////////////////////////////////////
// CCategoryInfoEditorDlg dialog

class CCategoryInfoEditorDlg : public CDialog
{
// Construction
public:
	CCategoryInfoEditorDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CCategoryInfoEditorDlg)
	enum { IDD = IDD_CATEGORY_INFO };
	CButton	cmdOk_;
	CButton	cmdCancel_;
	CStatic	lblDescription_;
	CStatic	lblCaption_;
	CButton	chkSort_;
	CCfgEdit	txtDescription_;
	CCfgEdit	txtCaption_;
	//}}AFX_DATA

public:
	void Init(CXmlGuiCategoryInfo* categoryInfo, CXmlGuiCategoryInfoList* categoryList);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCategoryInfoEditorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnOK();
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CCategoryInfoEditorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnGetMinMaxInfo(MINMAXINFO FAR* lpMMI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP();

	void UpdateWindowSize();

	CXmlGuiCategoryInfo* categoryInfo_;
	CXmlGuiCategoryInfoList* categoryList_;

	bool initialized_; 
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(_CATEGORYINFOEDITORDLG_H_)
